Summary:        Command-line JSON processor
Name:           jq
Version:        1.7.1
Release:        4%{?dist}
License:        MIT and ASL 2.0 and CC-BY and GPLv3
URL:            http://stedolan.github.io/jq/
Source0:        https://github.com/stedolan/jq/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz


BuildRequires:  gcc flex bison chrpath oniguruma-devel
BuildRequires:  valgrind make autoconf automake libtool

Patch0001: 0001-fix-jv_number_value-should-cache-the-double-value-of.patch
Patch0002: 0002-Reject-NaN-with-payload-while-parsing.patch

%description
This package provides a lightweight and flexible command-line JSON processor
jq is like sed for JSON data – you can use it to slice and filter and map and
transform structured data with the same ease that sed, awk, grep and friends
let you play with text.

jq is written in portable C, and it has zero runtime dependencies.

jq can mangle the data format that you have into the one that you want with very
little effort, and the program to do so is often shorter and simpler than you'd expect.

%package     devel
Summary:     Development files for %{name}
Requires:    %{name} = %{version}-%{release}

%description devel
Development files for %{name}

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -if
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'
chrpath -d %{buildroot}%{_bindir}/%{name}

%check
%ifarch x86_64
make check
%endif

%files
%{_datadir}/doc/*
%{_bindir}/%{name}
%{_libdir}/libjq.so.*
%{_libdir}/pkgconfig/libjq.pc
%{_datadir}/man/man1/jq.1.gz

%files devel
%{_includedir}/jq.h
%{_includedir}/jv.h
%{_libdir}/libjq.so


%changelog
* Mon Mar 31 2025 xiaoyunzhao <xiaoyunzhao@tencent.com> - 1.7.1-4
- [Type] security
- [DESC] fix CVE-2024-53427

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.1-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.1-2
- Rebuilt for loongarch release

* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 1.7.1-1
- Upgrade to version 1.7.1

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 24 2022 Shuo Wang <abushwang@tencent.com> - 1.6-1
- initial build
